package com.mdd.admin.config.stp;

import cn.dev33.satoken.stp.StpInterface;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.mdd.admin.LikeAdminThreadLocal;
import com.mdd.common.entity.system.SystemAuthMenu;
import com.mdd.common.entity.system.SystemAuthPerm;
import com.mdd.common.mapper.system.SystemAuthMenuMapper;
import com.mdd.common.mapper.system.SystemAuthPermMapper;
import com.mdd.common.util.StringUtils;
import java.util.Arrays;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Component;

@Component
public class StpInterConfig implements StpInterface {
   @Resource
   SystemAuthPermMapper systemAuthPermMapper;
   @Resource
   SystemAuthMenuMapper systemAuthMenuMapper;

   public List<String> getPermissionList(Object loginId, String loginType) {
      List<Integer> roleIds = LikeAdminThreadLocal.getRoleIds();
      List<String> perms = new LinkedList();
      if (roleIds.isEmpty()) {
         return perms;
      } else {
         List<SystemAuthPerm> permList = this.systemAuthPermMapper.selectList((Wrapper)(new QueryWrapper()).select(new String[]{"id,role_id,menu_id"}).in("role_id", roleIds));
         if (permList.isEmpty()) {
            return perms;
         } else {
            List<Integer> menuIds = new LinkedList();
            Iterator var7 = permList.iterator();

            while(var7.hasNext()) {
               SystemAuthPerm systemAuthPerm = (SystemAuthPerm)var7.next();
               menuIds.add(systemAuthPerm.getMenuId());
            }

            List<SystemAuthMenu> systemAuthMenus = this.systemAuthMenuMapper.selectList((Wrapper)((QueryWrapper)((QueryWrapper)((QueryWrapper)(new QueryWrapper()).select(new String[]{"id,perms"}).eq("is_disable", 0)).in("id", menuIds)).in("menu_type", Arrays.asList("C", "A"))).orderByAsc(Arrays.asList("menu_sort", "id")));
            Iterator var11 = systemAuthMenus.iterator();

            while(var11.hasNext()) {
               SystemAuthMenu item = (SystemAuthMenu)var11.next();
               if (StringUtils.isNotNull(item.getPerms()) && StringUtils.isNotEmpty(item.getPerms())) {
                  perms.add(item.getPerms().trim());
               }
            }

            return perms;
         }
      }
   }

   public List<String> getRoleList(Object loginId, String loginType) {
      return null;
   }
}
